#
# spec file for package gnome-volume-manager (Version 1.5.15)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib dbus-1-x11 desktop-translations diffutils e2fsprogs eel esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-vfs2 gnome-vfs2-devel gnome2-user-docs gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool iso-codes klogd less libacl libart_lgpl libart_lgpl-devel libattr libbeagle libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libdrm libexif libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgsf libjpeg libjpeg-devel libnotify libnotify-devel libnscd libpng libpng-devel librsvg libsexy libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools nautilus nautilus-devel ncurses ncurses-devel net-tools netcfg notification-daemon openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info startup-notification strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-volume-manager
BuildRequires:  gnutls-devel intltool libglade2-devel libgnomeprintui-devel libnotify-devel libwnck-devel mDNSResponder-devel nautilus-devel perl-XML-Parser update-desktop-files
%define prefix	/opt/gnome
%define sysconfdir /etc%{prefix}
Version:        1.5.15
Release:        26.4
URL:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        GPL
Summary:        The GNOME Volume Manager
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.5/%{name}-%{version}.tar.gz
Source1:        gnome-cdda-handler
Source2:        cdda-url-handler.schemas
Source3:        add-unknown-printer
Patch0:         gvm-schema-defaults.patch
Patch2:         suse-autorun.patch
Patch3:         334540.patch
Patch4:         158750.patch
Patch5:         gvm-2GB-notify.patch
Patch6:         119900.patch
Patch7:         153241.patch
Patch8:         338323.patch
Patch9:         gnome-volume-manager-po.patch
Autoreqprov:    on
Requires:       control-center2
Requires:       notification-daemon
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GNOME Volume Manager monitors volume-related events and responds
using a user-specified policy.	The GNOME Volume Manager can automount
hotplugged drives, automount inserted removable media, autorun
programs, automatically play audio CDs and video DVDs, and
automatically import photos from a digital camera.  The GNOME Volume
Manager does this entirely in userspace and without polling.

The GNOME Volume Manager sits at the top end of a larger picture that
aims to integrate the Linux system from the kernel on up through the
desktop and its applications.



Authors:
--------
    Robert Love <rml@novell.com>
    Jeffrey Stedfast <fejj@novell.com>

%debug_package
%prep
%setup -q
%patch
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
rm po/no.*

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--disable-schemas-install\
	--prefix=/opt/gnome\
	--sysconfdir=/etc/opt/gnome\
	--libdir=/opt/gnome/%{_lib}\
        --with-console-auth-dir=/var/run/resmgr/classes/desktop/
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
install -d $RPM_BUILD_ROOT/opt/gnome/lib/gnome-volume-manager
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/opt/gnome/lib/gnome-volume-manager/gnome-cdda-handler
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{sysconfdir}/gconf/schemas/cdda-url-handler.schemas
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/opt/gnome/bin/add-unknown-printer
%find_lang %{name}
%suse_update_desktop_file gnome-volume-properties X-SuSE-ControlCenter-Hardware

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/gnome-volume-manager.schemas >/dev/null
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/cdda-url-handler.schemas >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README TODO
/etc/opt/gnome/gconf/schemas/gnome-volume-manager.schemas
/etc/opt/gnome/gconf/schemas/cdda-url-handler.schemas
/opt/gnome/bin/*
/opt/gnome/lib/gnome-volume-manager
/opt/gnome/lib/gnome-volume-manager/gnome-cdda-handler
/opt/gnome/share/applications/*.desktop
%config /opt/gnome/share/gnome/autostart/*.desktop
/opt/gnome/share/gnome-volume-manager
# FIXME: should be part of gnome-filesystem:
%dir /opt/gnome/share/locale/dz
%dir /opt/gnome/share/locale/dz/LC_MESSAGES

%changelog -n gnome-volume-manager
* Tue Jun 06 2006 - sbrabec@suse.cz
- Merged upstream translations (#181950).
* Fri Apr 14 2006 - fejj@suse.de
- Added 338323.patch to build in order to make autorun execute
  the autorun script with the mount point as the CWD.
* Tue Apr 11 2006 - sreeves@suse.de
- Add gnome-volume-properties back to the Control Center to fix Defect #162719
  Appears someone accidentally removed it
* Thu Apr 06 2006 - fejj@suse.de
- Instead of launching `yast2 printer`, we can now launch gnome-cups-add
  since it has now been patched to read the usb printer list directly
  from the CUPS usb backend.
* Wed Apr 05 2006 - fejj@suse.de
- Updated add-unknown-printer to work around even more CUPS usb
  backend URI scheme crack (like not including the vendor name
  in the URI and/or using a string other than the product string
  in the product component of the URI)
* Tue Apr 04 2006 - fejj@suse.de
- Added add-unknown-printer script to the build and made the default
  printer handler in the schemas. This script tries its best to
  match against the CUPS usb driver URIs given a HAL UDI. If the
  printer isn't found to already be configured, it launches
  `/sbin/yast2 printer`.
* Tue Mar 28 2006 - fejj@suse.de
- Added patches for bugs #119900 and #153241
  119900: Improve default mount options
  153241: Creating Raid 0 on PPC getting device busy error
* Wed Mar 22 2006 - dobey@suse.de
- Added gvm-2GB-notify.patch to only notify the user of low disk
  space if the free space is less than 2GB and past the threshold
  Fixes https://bugzilla.novell.com/show_bug.cgi?id=153338
* Mon Mar 20 2006 - fejj@suse.de
- Added patches for bugs #158750 and #334540
  158750 gnome: after resume from suspend-to-disk gnome
  opens two filebrowser windows
* Fri Mar 10 2006 - fejj@suse.de
- Updated to 1.5.15 to fix Novell bug #154381 and GNOME bug #332764
* Mon Mar 06 2006 - rml@suse.de
- spec file tweaks
* Mon Feb 27 2006 - fejj@suse.de
- Updated to 1.5.14 which fixes bug #150042 (dbus reconnect)
* Mon Feb 13 2006 - ro@suse.de
- remove obsolete patch
* Fri Feb 10 2006 - fejj@suse.de
- Updated to version 1.5.13 which includes Rodney's patch as
  well as support for mount -o flush and mount -o iocharset=<charset>.
* Fri Feb 10 2006 - dobey@suse.de
- Add patch to implement low disk space notification
* Sun Feb 05 2006 - ro@suse.de
- fix patch to apply
* Wed Feb 01 2006 - fejj@suse.de
- Updated to 1.5.12
- #146299 - gnome-volume-manager crash on login
* Mon Jan 30 2006 - fejj@suse.de
- added suse-autorun.patch to the build
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - fejj@suse.de
- Updated to 1.5.11
* Fri Jan 20 2006 - fejj@suse.de
- Updated to 1.5.10 and modified gvm-schema-defaults.patch
* Wed Jan 18 2006 - fejj@suse.de
- Added the Real(tm) gvm-schema-defaults.patch file
  (accidently added the xml file before).
* Thu Jan 12 2006 - fejj@suse.de
- Updated to 1.5.9 and gvm-schema-defaults.patch
* Thu Jan 05 2006 - fejj@suse.de
- Updated to 1.5.8 to fix a crash
* Mon Dec 19 2005 - rml@suse.de
- Update to 1.5.7
- Disable session management in autostart
* Thu Dec 15 2005 - fejj@suse.de
- Updated gvm-schema-defaults.patch for new banshee command-line arguments
* Mon Dec 12 2005 - fejj@suse.de
- Updated version to 1.5.6
* Wed Dec 07 2005 - fejj@suse.de
- Updated version to 1.5.5
* Wed Nov 09 2005 - rodrigo@suse.de
- Added gnome-volume-manager-autostart.patch to add the .desktop
  file needed for autostart implementation.
* Fri Oct 28 2005 - fejj@suse.de
- Updated version to 1.5.4
* Thu Oct 06 2005 - fejj@suse.de
- Updated version to 1.5.3 which fixes the camera issues (now supports
  storage, ptp, and proprietary albeit in a hacky way until the libgphoto2
  fdi files get fixed).
- Updated gvm-schema-defaults.patch with banshee's new command-line arguments
* Thu Sep 22 2005 - federico@novell.com
- Added cdda-url-handler.schemas and gnome-cdda-handler as a temporary
  solution for bug #116472.  We install a helper shell script as the
  handler for "cdda://" URIs for gnome-vfs, and then make that shell
  script pick up the CD player from the settings in
  gnome-volume-manager.  This script is borrowed from Fedora.
- Updated gvm-schema-defaults.patch so that the command line for banshee will
  have a %%d in it; this will make gnome-volume-manager substitute the %%d for
  the device to be used.
* Tue Aug 30 2005 - fejj@suse.de
- Updated version to 1.5.1 which has support for Palm Pilot devices (as
  required by the PRD), reworked prompt UI and a memory leak fix.
- Reverted libgphoto2 patch since it breaks PTP cameras and makes USB Mass
  Storage camera devices trigger a double import (because 2 udi's will match -
  the camera device itself will match against the libgphoto2
  camera.access_method and it will match a second time when HAL reports the
  camera's volume udi because it will contain a DCIM directory)
- Updated schema to remove banshee command-line arguments that aren't needed
* Fri Aug 26 2005 - meissner@suse.de
- make libgphoto2 detection match my FDI files for libgphoto2
  changes.
* Mon Aug 22 2005 - gekker@suse.de
- Update schema to launch f-spot-import script
* Thu Aug 18 2005 - fejj@suse.de
- Updated to version 1.3.5
- Removed previous banshee patch
- Added patch to set our own schema defaults
* Fri Aug 05 2005 - gekker@suse.de
- Patch to exec banshee rather than sonance
* Fri Jul 29 2005 - fejj@suse.de
- Update to version 1.3.4
* Mon Jul 11 2005 - gekker@suse.de
- Update to version 1.3.3 for fejj
* Wed Apr 20 2005 - ro@suse.de
- updat to 1.3.1
* Mon Apr 11 2005 - sbrabec@suse.cz
- Updated to version 1.2.1.
* Fri Mar 25 2005 - sbrabec@suse.cz
- New SuSE package, version 1.2.0 (#71059).
